.sector_wrap {
    position: relative;
    overflow: hidden;
}

.sector_hidder {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 50%;
    background: #fff;
    overflow: hidden;
}

.sector_angle {
    position: absolute;
    width: 50%;
    left: 0;
    top: 0;
    height: 100%;
    background: #fff;
    transform-origin: 100% 50%;
    overflow: hidden;
}

.sector_border {
    width: 200%;
    height: 100%;
    border: 10px solid #f5f5f5;
    border-radius: 50%;
    position: absolute;
}

.sector_hidder.ang180 {
    background: transparent;
}

.sector_hidder.ang180 .sector_angle {
    width: 100%;
    overflow: hidden;
}

.sector_hidder.ang180 > .sector_border {
    border: none;
}